/* Main formatting */

html {
  font-size: 16px;
}

#main {
  padding: 14px 16px;
}

/* Parse */
@media only screen and (min-wdith: 320px) and (max-width: 480px) {
  body {
    font-size: 12px;
  }
  .image-container img {
    width: 95%;
  }
}

/* Navbar container */
.navbar {
  overflow: hidden;
  background-color: #9cb05a;
  font-family: Arial;
  width: 100%;
  margin: auto;
}

/* Links inside the navbar */
.navbar a {
  float: left;
  font-size: 16px;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

/* The dropdown container */
.dropdown {
  float: left;
  overflow: hidden;
}

/* Dropdown button */
.dropdown .dropbtn {
  font-size: 16px;
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  background-color: inherit;
  font-family: inherit;
  /* Important for vertical align on mobile phones */
  margin: 0;
  /* Important for vertical align on mobile phones */
}

/* Add a background color to navbar links on hover */
.navbar a:hover,
.dropdown:hover .dropbtn {
  background-color: #1e5174;
}

/* Dropdown content (hidden by default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
  float: none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

/* Add a grey background color to dropdown links on hover */
.dropdown-content a:hover {
  background-color: #ddd;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
  display: block;
}

/* Logo */
.logo {
  float: right;
  height: 3rem;
}

/*Layout*/

li {
  list-style-type: none;
  margin: 10px;
}

body {
  color: #1e5174;
  font-family: "Inter", sans-serif;
}

.image-container {
  overflow: hidden;
  }

.image-container img {
  max-width: 90%;
  height: auto;
  display: block;
}

/* Announcements & Assignments*/
.announcement {
  background: rgb(15, 102, 60);
  color: white;
  padding: 5px;
  border-radius: 10px;
  margin-bottom: 5px;
  font-size: 1rem;
}

.assignment {
  background: rgb(205, 108, 89);
  color: white;
  padding: 5px;
  border-radius: 10px;
  margin-bottom: 5px;
  font-size: 1rem;
}

/* Contact */
html {
  overflow-x: hidden;
}

body {
  font-family: "Lato", sans-serif;
  margin: 0;
  background-color: white;
}

a {
  text-decoration: none;
}

.card {
  z-index: 1;
  position: relative;
  width: 300px;
  height: 400px;
  margin: 0 auto;
  margin-top: 100px;
  background-color: white;
  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
  -webkit-transition: all 0.7s ease-in-out;
  -moz-transition: all 0.7s ease-in-out;
  -o-transition: all 0.7s ease-in-out;
  -ms-transition: all 0.7s ease-in-out;
  /*
        -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.2), inset 0 0 50px rgba(0, 0, 0, 0.1);
	-moz-box-shadow: 0 0 10px rgba(0, 0, 0, 0.2), inset 0 0 50px rgba(0, 0, 0, 0.1);
	box-shadow: 0 0 15px rgba(0, 0, 0, 0.2), inset 0 0 50px rgba(0, 0, 0, 0.2);
*/
}

.card.active {
  height: 490px;
}

.banner1 {
  z-index: 2;
  position: relative;
  margin-top: -154px;
  width: 100%;
  height: 150px;
  background-image: url("https://snap-photos.s3.amazonaws.com/img-thumbs/960w/RQ2Z75PQIN.jpg");
  background-size: cover;
  border-bottom: solid 1px lightgrey;

  -webkit-transition: all 0.7s ease-in-out;
  -moz-transition: all 0.7s ease-in-out;
  -o-transition: all 0.7s ease-in-out;
  -ms-transition: all 0.7s ease-in-out;
}

.banner2 {
  z-index: 2;
  position: relative;
  margin-top: -154px;
  width: 100%;
  height: 150px;
  background-image: url("https://images.pexels.com/photos/37650/new-zealand-lake-mountain-landscape-37650.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2");
  background-size: cover;
  border-bottom: solid 1px lightgrey;

  -webkit-transition: all 0.7s ease-in-out;
  -moz-transition: all 0.7s ease-in-out;
  -o-transition: all 0.7s ease-in-out;
  -ms-transition: all 0.7s ease-in-out;
}

.banner3 {
  z-index: 2;
  position: relative;
  margin-top: -154px;
  width: 100%;
  height: 150px;
  background-image: url("https://images.pexels.com/photos/351265/pexels-photo-351265.jpeg");
  background-size: cover;
  border-bottom: solid 1px lightgrey;

  -webkit-transition: all 0.7s ease-in-out;
  -moz-transition: all 0.7s ease-in-out;
  -o-transition: all 0.7s ease-in-out;
  -ms-transition: all 0.7s ease-in-out;
}

.banner4 {
  z-index: 2;
  position: relative;
  margin-top: -154px;
  width: 100%;
  height: 150px;
  background-image: url("https://images.pexels.com/photos/4394324/pexels-photo-4394324.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2");
  background-size: cover;
  border-bottom: solid 1px lightgrey;

  -webkit-transition: all 0.7s ease-in-out;
  -moz-transition: all 0.7s ease-in-out;
  -o-transition: all 0.7s ease-in-out;
  -ms-transition: all 0.7s ease-in-out;
}

.banner.active {
  height: 0;
}

.photo1 {
  z-index: 3;
  position: relative;
  border-radius: 50%;
  height: 150px;
  width: 150px;
  background-color: white;
  margin: 0 auto;
  background-image: url("https://filmshotfreezer.files.wordpress.com/2011/07/untitled-1.jpg");
  background-size: cover;
  background-position: 50% 50%;
  top: 75px;
  -webkit-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  -webkit-transition: top 0.7s ease-in-out, background 0.15s ease;
  -moz-transition: top 0.7s ease-in-out, background 0.15s ease;
  -o-transition: top 0.7s ease-in-out, background 0.15s ease;
  -ms-transition: top 0.7s ease-in-out, background 0.15s ease;
}

.photo2 {
  z-index: 3;
  position: relative;
  border-radius: 50%;
  height: 150px;
  width: 150px;
  background-color: white;
  margin: 0 auto;
  background-image: url("https://filmshotfreezer.files.wordpress.com/2011/07/untitled-1.jpg");
  background-size: cover;
  background-position: 50% 50%;
  top: 75px;
  -webkit-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  -webkit-transition: top 0.7s ease-in-out, background 0.15s ease;
  -moz-transition: top 0.7s ease-in-out, background 0.15s ease;
  -o-transition: top 0.7s ease-in-out, background 0.15s ease;
  -ms-transition: top 0.7s ease-in-out, background 0.15s ease;
}

.photo4 {
  z-index: 3;
  position: relative;
  border-radius: 50%;
  height: 150px;
  width: 150px;
  background-color: white;
  margin: 0 auto;
  background-image: url("https://filmshotfreezer.files.wordpress.com/2011/07/untitled-1.jpg");
  background-size: cover;
  background-position: 50% 50%;
  top: 75px;
  -webkit-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  box-shadow: inset 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
  -webkit-transition: top 0.7s ease-in-out, background 0.15s ease;
  -moz-transition: top 0.7s ease-in-out, background 0.15s ease;
  -o-transition: top 0.7s ease-in-out, background 0.15s ease;
  -ms-transition: top 0.7s ease-in-out, background 0.15s ease;
}

.photo.active {
  top: -80px;
}

.card ul {
  list-style: none;
  text-align: center;
  padding-left: 0;
  margin-top: 87px;
  margin-bottom: 30px;
  font-size: 20px;
  -webkit-transition: all 0.7s ease-in-out;
  -moz-transition: all 0.7s ease-in-out;
  -o-transition: all 0.7s ease-in-out;
  -ms-transition: all 0.7s ease-in-out;
}

.card ul.active {
  opacity: 0;
  visibility: hidden;
}

.card i {
  font-size: 25px;
  display: inline-block;
  margin-top: 10px;
  margin-left: 40px;
  margin-right: 150px;
  width: 300px;
  text-align: left;
  color: #c7d0e1;
}

button.contact {
  margin: 0 auto;
  text-align: center;
  margin-top: -15px;
  width: 100%;
  height: 35px;
  display: block;
  border: none;
  background-color: transparent;
  font-family: inherit;
  color: white;
  background-color: #c7d0e1;
  font-size: 12px;
  text-transform: uppercase;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
}

button.contact:hover {
  cursor: pointer;
  background-color: #979da8;
}

button.contact:focus {
  outline: 0;
}

.social-media-banner {
  width: 300px;
  height: 50px;
  margin-top: 25px;
  text-align: center;
  position: absolute;
  -webkit-transition: all 1.5s ease-in-out;
  -moz-transition: all 1.5s ease-in-out;
  -o-transition: all 1.5s ease-in-out;
  -ms-transition: all 1.5 ease-in-out;
}

.social-media-banner.active {
  opacity: 0;
  visibility: hidden;
  -webkit-transition: all 0.1s ease-in-out;
  -moz-transition: all 0.1s ease-in-out;
  -o-transition: all 0.1s ease-in-out;
  -ms-transition: all 0.1s ease-in-out;
}

.social-media-banner a i {
  display: inline;

  width: auto;
  margin-right: 15px;
  margin-left: 10px;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
}

.social-media-banner a i:hover {
  color: #979da8;
}

.email-form {
  height: 0;
  overflow: hidden;
  /*    background-color: #C7D0E1;*/
  width: 300px;
  z-index: -1;
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  -ms-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.email-form.active {
  height: 310px;
  z-index: 3;
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -o-transition: all 1s ease-in-out;
  -ms-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
}

.email-form input {
  width: 200px;
  text-transform: capitalize;
  /*    background-color: #a4acbc;*/
  margin: 0 auto;
  font-family: inherit;
  border: 1px solid #dadee5;
  /*    border: 1px solid black;*/
  margin-top: 35px;
  height: 30px;
  display: block;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
}

.email-form input:focus,
.email-form textarea:focus {
  /*    border: none;*/
  border: 1px solid grey;
  outline: none;
}

::-webkit-input-placeholder {
  font-size: 12px;
  text-transform: uppercase;
  text-align: center;
  /*    color: black;*/
}

.email-form textarea {
  width: 200px;
  text-transform: capitalize;
  background-color: white;
  margin: 0 auto;
  display: block;
  margin-top: 40px;
  border: 1px solid #dadee5;
  font-family: inherit;
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  -ms-transition: all 0.3s ease-in-out;
}

.email-form button {
  margin-top: 60px;
}

/* Module pictures */
.module {
  width: 300px;
}

@media only screen and (width: 393px) and (height: 852px) and (-webkit-device-pixel-ratio: 3) {
  body {
    margin: auto;
  }
}
